/*
 * Copyright (c) 2005, TopCoder, Inc. All rights reserved.
 *
 * Author: TCSDEVELOPER, TCSDESIGNER
 * Version: 1.0
 */

using System;
using NUnit.Framework;

namespace TopCoder.File.Statistics
{
    /// <summary>
    /// A very simple demo demonstrating the <c>CommandLine</c> class. Of course, this should generally be used
    /// directly from the command line.
    /// </summary>
    [TestFixture]
    public class Demo
    {
        /// <summary>
        /// Demo.
        /// </summary>
        [Test]
        public void TestCommandLine1()
        {
            TopCoder.Util.ConfigurationManager.ConfigManager.GetInstance().Clear();
            CommandLine.Main(
@"/c:..\..\test_files\test.xml /n:TopCoder.File.Statistics.FileStatistics ..\..\test_files\sub".Split());
        }

        /// <summary>
        /// Demo with simulated preloaded config.
        /// </summary>
        [Test]
        public void TestCommandLine2()
        {
            // Load the file ourselves instead
            TopCoder.Util.ConfigurationManager.ConfigManager.GetInstance().Clear();
            TopCoder.Util.ConfigurationManager.ConfigManager.GetInstance().LoadFile(@"..\..\test_files\test.xml");
            CommandLine.Main(@"/n:TopCoder.File.Statistics.FileStatistics /b:..\..\test_files sub TestFile1.cs".
                Split());
        }

        /// <summary>
        /// Demo with file output (immediately deleted).
        /// </summary>
        [Test]
        public void TestCommandLine3()
        {
            // Load the file ourselves instead
            TopCoder.Util.ConfigurationManager.ConfigManager.GetInstance().Clear();
            TopCoder.Util.ConfigurationManager.ConfigManager.GetInstance().LoadFile(@"..\..\test_files\test.xml");
            CommandLine.Main((@"/n:TopCoder.File.Statistics.FileStatistics /b:..\..\test_files " +
                @"/o:..\..\test_files\report.txt sub").
                Split());
            System.IO.File.Delete(@"..\..\test_files\report.txt");
        }
    }
}