/*
 * Copyright (c) 2005, TopCoder, Inc. All rights reserved.
 *
 * Author: TCSDEVELOPER, TCSDESIGNER
 * Version: 2.0b
 */


using System;

namespace TopCoder.File.Statistics
{
    /// <summary>
    /// Used to cover configuration related exceptions for all the constructors with namespace/property prefix
    /// arguments.
    /// </summary>
    public class ConfigurationException : FileStatisticsException
    {
        /// <summary>
        /// Constructor with a message string. No checking performed.
        /// </summary>
        /// <param name="message">The exception message.</param>
        public ConfigurationException(string message) : base(message)
        {
        }

        /// <summary>
        /// Constructor with a message string and an inner exception to wrap (cause). No checking performed.
        /// </summary>
        /// <param name="message"></param>
        /// <param name="cause"></param>
        public ConfigurationException(string message, Exception cause)
            : base(message, cause)
        {
        }
    }
}
