/*
 * $(#)StatsReportingExceptionTests.cs		Sep 6, 2005
 * 
 * Copyright (c) 2005, TopCoder Inc. All rights reserved.
 */

using System;
using NUnit.Framework;

namespace TopCoder.File.Statistics.FailureTests
{

	/// <summary>
    /// This test fixture contains the failure tests for <see cref="StatsReportingException"/> class.
    ///
    /// <author>MPhk</author>
    /// <version>1.0</version>
    /// <copyright>Copyright (C) 2005 TopCoder Inc., All Rights Reserved.</copyright>
    /// </summary>
    [TestFixture]
	public class StatsReportingExceptionTests 
	{

	    /// <summary>
	    /// Verifies whether the StatsReportingException(String) constructor properly behaves 
	    /// when receives null arguments. It should not throw any exception.
	    /// </summary>
	    public void TestStatsReportingException1() {
	        new StatsReportingException(null);
	    }
    
	    /// <summary>
	    /// Verifies whether the StatsReportingException(String, Throwable) constructor properly behaves 
	    /// when receives null arguments. It should not throw any exception.
	    /// </summary>
	    public void TestStatsReportingException2() {
	        new StatsReportingException(null, new Exception());
	    }
    
	    /// <summary>
	    /// Verifies whether the StatsReportingException(String, Throwable) constructor properly behaves 
	    /// when receives null arguments. It should not throw any exception.
	    /// </summary>
	    public void TestStatsReportingException3() {
            new StatsReportingException("msg", null);
	    }
    
	    /// <summary>
	    /// Verifies whether the StatsReportingException(String) constructor properly behaves 
	    /// when receives null arguments. It should not throw any exception.
	    /// </summary>
	    public void TestStatsReportingException4() {
            new StatsReportingException(null, null);
	    }
	}
    
}
