/*
 * Copyright (c) 2005, TopCoder, Inc. All rights reserved.
 *
 * Author: TCSDEVELOPER, TCSDESIGNER
 * Version: 2.0b
 */

using System;
using System.Reflection;
using NUnit.Framework;
using System.IO;

namespace TopCoder.File.Statistics.Matcher
{
    /// <summary>
    /// Tests the <c>AnyFileMatcher</c> class, by verifying that it even matches <c>FileInfo</c> instances that doesn't
    /// exist.
    /// </summary>
    [TestFixture]
    public class TestAnyFileMatcher : TestFileMatcher
    {
        /// <summary>
        /// Publishes some information to base classes.
        /// </summary>
        [SetUp]
        public void Setup()
        {
            type = typeof(AnyFileMatcher);
            instance = new AnyFileMatcher();
        }

        /// <summary>
        /// Tests matching of arbitrary <c>FileInfo</c> instances.
        /// </summary>
        [Test]
        public void TestMatch()
        {
            Assert.IsTrue(instance.Match(new FileInfo("Idontexist")), "Missing file 1");
            Assert.IsTrue(instance.Match(new FileInfo(@"q:\I\dont\exist")), "Missing file 2");
        }
    }
}